namespace WingASRService.Tencent
{
    public class ASRErrorCode
    {
        private ASRErrorCode(){}
        public static readonly Dictionary<string, string> ErrorsDictionary = new Dictionary<string, string>()
        {
            {"FailedOperation.ErrorRecognize",  "识别失败。"},
            {"FailedOperation.ServiceIsolate",  "账号因为欠费停止服务，请在腾讯云账户充值。"},
            {"FailedOperation.UserHasNoFreeAmount", "账号本月免费额度已用完。"},
            {"FailedOperation.UserNotRegistered",   "服务未开通，请在腾讯云官网语音识别控制台开通服务。"},
            {"InternalError",   "内部错误。"},
            {"InternalError.ErrorConfigure",    "初始化配置失败。"},
            {"InternalError.ErrorCreateLog",    "创建日志失败。"},
            {"InternalError.ErrorDownFile", "下载音频文件失败。"},
            {"InternalError.ErrorFailNewprequest",  "新建数组失败。"},
            {"InternalError.ErrorFailWritetodb",    "写入数据库失败。"},
            {"InternalError.ErrorFileCannotopen",   "文件无法打开。"},
            {"InternalError.ErrorGetRoute", "获取路由失败。"},
            {"InternalError.ErrorMakeLogpath",  "创建日志路径失败。"},
            {"InternalError.ErrorRecognize",    "识别失败。"},
            {"InvalidParameter.ErrorContentlength", "请求数据长度无效。"},
            {"InvalidParameter.ErrorParamsMissing", "参数不全。"},
            {"InvalidParameter.ErrorParsequest",    "解析请求数据失败。"},
            {"InvalidParameterValue",   "参数取值错误。"},
            {"InvalidParameterValue.ErrorInvalidAppid", "AppId无效。"},
            {"InvalidParameterValue.ErrorInvalidClientip",  "ClientIp无效。"},
            {"InvalidParameterValue.ErrorInvalidEngservice",    "EngSerViceType无效。"},
            {"InvalidParameterValue.ErrorInvalidProjectid", "ProjectId无效。"},
            {"InvalidParameterValue.ErrorInvalidRequestid", "RequestId无效。"},
            {"InvalidParameterValue.ErrorInvalidSourcetype",    "SourceType无效。"},
            {"InvalidParameterValue.ErrorInvalidSubservicetype",    "SubserviceType无效。"},
            {"InvalidParameterValue.ErrorInvalidUrl",   "Url无效。"},
            {"InvalidParameterValue.ErrorInvalidUseraudiokey",  "UsrAudioKey无效。"},
            {"InvalidParameterValue.ErrorInvalidVoiceFormat",   "音频编码格式不支持。"},
            {"InvalidParameterValue.ErrorInvalidVoicedata", "音频数据无效。"},
            {"InvalidParameterValue.ErrorVoicedataTooLong", "音频时长超过限制。"}
        };
    }
}